## org.apache.poi.poifs.storage
Interface HeaderBlockConstants

All Known Implementing Classes:
  HeaderBlock, HeaderBlockWriter

    public interface HeaderBlockConstants

Constants used in reading/writing the Header block

Author:
  Marc Johnson (mjohnson at apache dot org)

Field Summary
`static int` `_bat_array_offset`
`static int` `_bat_count_offset`
`static int` `_max_bats_in_header`
`static int` `_property_start_offset`
`static int` `_sbat_block_count_offset`
`static int` `_sbat_start_offset`
`static long` `_signature`
`static int` `_signature_offset`
`static int` `_xbat_count_offset`
`static int` `_xbat_start_offset`

Field Detail

### _signature

    static final long _signature

See Also:
  Constant Field Values

### _bat_array_offset

    static final int _bat_array_offset

See Also:
  Constant Field Values

### _max_bats_in_header

    static final int _max_bats_in_header

See Also:
  Constant Field Values

### _signature_offset

    static final int _signature_offset

See Also:
  Constant Field Values

### _bat_count_offset

    static final int _bat_count_offset

See Also:
  Constant Field Values

### _property_start_offset

    static final int _property_start_offset

See Also:
  Constant Field Values

### _sbat_start_offset

    static final int _sbat_start_offset

See Also:
  Constant Field Values

### _sbat_block_count_offset

    static final int _sbat_block_count_offset

See Also:
  Constant Field Values

### _xbat_start_offset

    static final int _xbat_start_offset

See Also:
  Constant Field Values

### _xbat_count_offset

    static final int _xbat_count_offset

See Also:
  Constant Field Values

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.